"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styledComponents = require("styled-components");

var btnReset = (0, _styledComponents.css)(["&:not(:disabled){cursor:pointer;}"]);

var btn = function btn(_ref) {
  var theme = _ref.theme;
  return (0, _styledComponents.css)(["display:inline-block;font-family:", ";font-weight:", ";color:", ";text-align:center;vertical-align:middle;user-select:none;background-color:transparent;border:", " solid transparent;", ";", ";&:hover{color:", ";text-decoration:none;}&:focus,&.focus{outline:0;box-shadow:", ";}&.disabled,&:disabled{opacity:", ";", ";}&:not(:disabled):not(.disabled):active,&:not(:disabled):not(.disabled).active{", ";&:focus{", ";}}"], theme.bootstrap.variables.btnFontFamily, theme.bootstrap.variables.btnFontWeight, theme.bootstrap.variables.bodyColor, theme.bootstrap.variables.btnBorderWidth, theme.bootstrap.buttonSize(theme.bootstrap.variables.btnPaddingY, theme.bootstrap.variables.btnPaddingX, theme.bootstrap.variables.btnFontSize, theme.bootstrap.variables.btnLineHeight, theme.bootstrap.variables.btnBorderRadius), theme.bootstrap.transition(theme.bootstrap.variables.btnTransition), theme.bootstrap.variables.bodyColor, theme.bootstrap.variables.btnFocusBoxShadow, theme.bootstrap.variables.btnDisabledOpacity, theme.bootstrap.boxShadow('none'), theme.bootstrap.boxShadow(theme.bootstrap.variables.btnActiveBoxShadow), theme.bootstrap.boxShadow(theme.bootstrap.variables.btnFocusBoxShadow, theme.bootstrap.variables.btnActiveBoxShadow));
};

var btnType = function btnType(_ref2) {
  var buttonType = _ref2.buttonType,
      theme = _ref2.theme;
  var map = {
    caution: 'danger'
  };
  var color = theme.bootstrap.variables.themeColor[map[buttonType] || buttonType];

  if (color) {
    return (0, _styledComponents.css)(["", ";"], theme.bootstrap.buttonVariant(color, color));
  }

  return null;
};

var btnSize = function btnSize(_ref3) {
  var buttonSize = _ref3.buttonSize,
      theme = _ref3.theme;

  if (buttonSize === 'lg') {
    return theme.bootstrap.buttonSize(theme.bootstrap.variables.btnPaddingYLg, theme.bootstrap.variables.btnPaddingXLg, theme.bootstrap.variables.btnFontSizeLg, theme.bootstrap.variables.btnLineHeightLg, theme.bootstrap.variables.btnBorderRadiusLg);
  }

  if (buttonSize === 'sm') {
    return theme.bootstrap.buttonSize(theme.bootstrap.variables.btnPaddingYSm, theme.bootstrap.variables.btnPaddingXSm, theme.bootstrap.variables.btnFontSizeSm, theme.bootstrap.variables.btnLineHeightSm, theme.bootstrap.variables.btnBorderRadiusSm);
  }

  return null;
};

var btnBlock = function btnBlock(_ref4) {
  var fluid = _ref4.fluid;

  if (fluid) {
    return (0, _styledComponents.css)(["display:block;width:100%;"]);
  }

  return null;
};

var _default = (0, _styledComponents.css)(["", ";", ";", ";", ";", ";"], btnReset, btn, btnType, btnSize, btnBlock);

exports.default = _default;